# norootforbuild

Name:		vlc
Version:	0.8.6i
Release:	29.10
Summary:	The VideoLAN client, also a very good standalone video player.
Summary(de):	Der VideoLAN Client, auch sehr gut als Standalone Player verwendbar.
URL:		http://www.videolan.org/
License:	GPL
Group:		Productivity/Multimedia/Video/Players

Packager:	Quentin Denis <quentin@links2linux.de>
Vendor:		Packman
Distribution:	%distribution

Source0:	http://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2

Patch0:		%{name}-%{version}-fix_font_path.patch
Patch1:		%{name}-%{version}-ffmpeg_swscale.patch
Patch2:		%{name}-%{version}-cdda-0.79.patch
Patch3:		%{name}-%{version}-wxGTK28.patch
Patch4:		%{name}-%{version}-ffmpeg_swscale_configure.patch
Patch5:		%{name}-%{version}-x264.patch
Patch6:		%{name}-%{version}-ffmpeg.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:  avahi-devel flac-devel fribidi-devel gcc-c++ gnutls-devel gnome-vfs2-devel
BuildRequires:  liba52dec-devel libavc1394-devel libcddb-devel libcdio-devel libdvbpsi5 libdvdnav-devel
BuildRequires:  libdvdread-devel libffmpeg-devel libggi-devel libid3tag-devel libjack-devel
BuildRequires:  libmodplug libmpeg2-devel  librsvg-devel libshout-devel libsmbclient-devel
BuildRequires:  libtar libtwolame-devel libupnp-devel live mad-devel portaudio-devel
BuildRequires:  SDL_image-devel speex-devel sysfsutils update-desktop-files vcdimager-devel
BuildRequires:  wxWidgets-devel xosd-devel libmp3lame-devel
%if 0%{?suse_version} >= 1100
BuildRequires:  libdvbpsi-devel amrwb-devel amrnb-devel
%endif

%if 0%{?suse_version} >= 1030
BuildRequires:	goom2k4-devel libcdio_paranoia0 libebml-devel libmatroska-devel
BuildRequires:	libmpcdec-devel lirc-devel mozilla-xulrunner181-devel
%endif

%if 0%{?suse_version} == 1020
BuildRequires:	goom2k4 libebml libmatroska libmpcdec-devel libnotify-devel lirc mozilla-xulrunner181-devel
%endif

%if 0%{?suse_version} == 1010
BuildRequires:	gecko-sdk goom2k4 libebml libmatroska libmpcdec libnotify-devel lirc
BuildRequires:	mDNSResponder-lib libamrnb-devel
%endif

%if 0%{?suse_version} == 1000
BuildRequires:	dbus-1-devel goom2k4 libebml libmatroska libmpcdec lirc mozilla-devel
%endif

%if 0%{?sles_version} == 10
BuildRequires:  libmpcdec-devel
%endif

%description
VideoLAN is a highly portable multimedia player for various audio and
video formats (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...) as well as DVDs,
VCDs, and various streaming protocols. It can also be used as a server to
stream in unicast or multicast in IPv4 or IPv6 on a high-bandwidth network.

%description -l de
VideoLAN ist ein einfacher portierbarer Multimedia Player für verschiedene
Audio- und Videoformate (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...), DVDs,
VCDs, und verschiedene Streaming Protokolle. Er kann auch als Server benutzt
werden um per Unicast oder Multicast im Netzwerk in IPv4 oder IPv6 zu streamen.

%description -l fr
VideoLAN est un lecteur multimedia très portable pour différents formats audio
et vidéo (MPEG-1, MPEG-2, MPEG-4, DivX, mp3, ogg, ...), DVDs, VCDs, et de divers
protocols de diffusion. Il peut également être utilisé en temps que serveur de
diffusion en unicast ou multicast via IPv4 ou IPv6 sur des réseaux haut-debit.


%package devel
Summary:	Header files and static library from the Videolan Client
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Install this package if you need to build Videolan Client plugins or intend
to link statically to it.


%package mozillaplugin
Summary:	A plugin for embedded video playing
Summary(de):	Ein Plugin zum eingebetteten Video abspielen
Summary(fr):	Un plugin pour la lecture de vidéos embarquées
Group:		Productivity/Multimedia/Video/Players
Requires:	%{name} = %{version}

%description mozillaplugin
A plugin for embedded video playing.

%description -l de mozillaplugin
Ein Plugin zum eingebetteten Video abspielen.

%description -l fr mozillaplugin
Un plugin pour la lecture de vidéos embarquées.


%debug_package


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0
%patch6 -p0

%build
%if 0%{?suse_version} == 1000
export PATH=${PATH}:/opt/mozilla/bin
%endif
./bootstrap
%configure \
        --enable-libtool    --enable-release    --enable-shout      --enable-live555    \
        --enable-dc1394     --enable-dv         --enable-dvdread    --enable-v4l        \
        --enable-pvr        --enable-cddax      --enable-vcdx       --enable-dvb        \
        --enable-faad       --enable-twolame    --enable-real       --enable-realrtsp   \
        --enable-flac       --enable-tarkin     --enable-theora     --enable-lirc       \
        --enable-snapshot   --enable-mga        --enable-ggi        --enable-aa         \
        --enable-caca       --enable-esd        --enable-portaudio  --enable-arts       \
        --enable-jack       --enable-cyberlink  --enable-pda        --enable-ncurses    \
        --enable-xosd       --enable-galaktos   --enable-goom       --enable-mozilla    \
        --with-live555-tree=%{_libdir}/live 						\
%if 0%{?suse_version} < 1030
        --with-wx-config=wx-config-2.8							\
%endif
%ifarch %ix86
        --enable-loader									\
%endif
%if 0%{?suse_version} >= 1030
        --enable-svg
%endif

%__make %{?jobs:-j%jobs}


%install
%makeinstall
%find_lang vlc
%suse_update_desktop_file %name -r AudioVideo Player Video

%__mkdir -p %{buildroot}%{_datadir}/pixmaps
%__ln_s %{_datadir}/vlc/vlc48x48.png %{buildroot}%{_datadir}/pixmaps/vlc.png

%if 0%{?suse_version} == 1000
%__install -d %{buildroot}/opt/mozilla/%{_lib}/plugins/
%__ln_s %{_libdir}/browser-plugins/libvlcplugin.so %{buildroot}/opt/mozilla/%{_lib}/libvlcplugin.so
%endif
%if 0%{?suse_version} >= 1010
%__install -d %{buildroot}%{_libdir}/browser-plugins/
%__ln_s %{_libdir}/mozilla/plugins/libvlcplugin.so %{buildroot}%{_libdir}/browser-plugins/libvlcplugin.so
%__ln_s %{_libdir}/mozilla/plugins/libvlcplugin.la %{buildroot}%{_libdir}/browser-plugins/libvlcplugin.la
%endif


%clean
rm -rf %{buildroot}


%files -f vlc.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS README THANKS
%doc doc/fortunes.txt doc/intf-vcd.txt doc/bugreport-howto.txt
%exclude %{_datadir}/doc/vlc/*
%{_bindir}/%{name}
%{_bindir}/%{name}-config
%{_bindir}/wx%{name}
%{_bindir}/s%{name}
%{_libdir}/*.so.*
%{_libdir}/%{name}/access/*.so
%{_libdir}/%{name}/access_filter/*.so
%{_libdir}/%{name}/access_output/*.so
%{_libdir}/%{name}/audio_filter/*.so
%{_libdir}/%{name}/audio_mixer/*.so
%{_libdir}/%{name}/audio_output/*.so
%{_libdir}/%{name}/codec/*.so
%{_libdir}/%{name}/control/*.so
%{_libdir}/%{name}/demux/*.so
%{_libdir}/%{name}/gui/*.so
%{_libdir}/%{name}/misc/*.so
%{_libdir}/%{name}/mux/*.so
%{_libdir}/%{name}/packetizer/*.so
%{_libdir}/%{name}/services_discovery/*.so
%{_libdir}/%{name}/stream_out/*.so
%{_libdir}/%{name}/video_chroma/*.so
%{_libdir}/%{name}/video_filter/*.so
%{_libdir}/%{name}/video_output/*.so
%{_libdir}/%{name}/visualization/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/http/*
%{_datadir}/%{name}/http/.*
%{_datadir}/%{name}/osdmenu/*
%{_datadir}/%{name}/skins2/*
%{_datadir}/%{name}/*.xpm
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.ico

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/*.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/%{name}/access/*.la
%{_libdir}/%{name}/access_filter/*.la
%{_libdir}/%{name}/access_output/*.la
%{_libdir}/%{name}/audio_filter/*.la
%{_libdir}/%{name}/audio_mixer/*.la
%{_libdir}/%{name}/audio_output/*.la
%{_libdir}/%{name}/codec/*.la
%{_libdir}/%{name}/control/*.la
%{_libdir}/%{name}/demux/*.la
%{_libdir}/%{name}/gui/*.la
%{_libdir}/%{name}/misc/*.la
%{_libdir}/%{name}/mux/*.la
%{_libdir}/%{name}/packetizer/*.la
%{_libdir}/%{name}/services_discovery/*.la
%{_libdir}/%{name}/stream_out/*.la
%{_libdir}/%{name}/video_chroma/*.la
%{_libdir}/%{name}/video_filter/*.la
%{_libdir}/%{name}/video_output/*.la
%{_libdir}/%{name}/visualization/*.la
%{_libdir}/browser-plugins/libvlcplugin.la
%{_libdir}/mozilla/plugins/libvlcplugin.la

%files mozillaplugin
%defattr(-,root,root)
%{_libdir}/browser-plugins/libvlcplugin.so
%{_libdir}/mozilla/plugins/libvlcplugin.so
%if 0%{?suse_version} == 1000
/opt/mozilla/%{_lib}/libvlcplugin.so
%endif


%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

